Upstream information

CVE-2016-2399 at MITRE

Description

Integer overflow in the quicktime_read_pascal function in libquicktime 1.2.4 and earlier allows remote attackers to cause a denial of service or possibly have other unspecified impact via a crafted hdlr MP4 atom.

SUSE information

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 6.82 4.38
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P AV:L/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network Local
Access Complexity Medium Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.8
Vector AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Local
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
No SUSE Bugzilla entries cross referenced.

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • libquicktime >= 1.2.4-10.1
  • libquicktime0 >= 1.2.4-10.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2017-326
SUSE Linux Enterprise Desktop 12 SP2
  • libquicktime >= 1.2.4-10.1
  • libquicktime0 >= 1.2.4-10.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-326
SUSE Linux Enterprise Server 12 SP1
  • libquicktime >= 1.2.4-10.1
  • libquicktime0 >= 1.2.4-10.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-326
SUSE Linux Enterprise Server 12 SP2
  • libquicktime >= 1.2.4-10.1
  • libquicktime0 >= 1.2.4-10.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-326
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libquicktime >= 1.2.4-10.1
  • libquicktime0 >= 1.2.4-10.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-326
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libquicktime >= 1.0.3-5.2
  • libquicktime-devel >= 1.0.3-5.2
Patchnames:
sdksp4-libquicktime-13008
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libquicktime >= 1.2.4-10.1
  • libquicktime-devel >= 1.2.4-10.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2017-326
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libquicktime >= 1.2.4-10.1
  • libquicktime-devel >= 1.2.4-10.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-326
openSUSE Leap 42.1
  • libquicktime >= 1.2.4cvs20150223-4.1
  • libquicktime-debugsource >= 1.2.4cvs20150223-4.1
  • libquicktime-devel >= 1.2.4cvs20150223-4.1
  • libquicktime-tools >= 1.2.4cvs20150223-4.1
  • libquicktime-tools-debuginfo >= 1.2.4cvs20150223-4.1
  • libquicktime0 >= 1.2.4cvs20150223-4.1
  • libquicktime0-32bit >= 1.2.4cvs20150223-4.1
  • libquicktime0-debuginfo >= 1.2.4cvs20150223-4.1
  • libquicktime0-debuginfo-32bit >= 1.2.4cvs20150223-4.1
Patchnames:
openSUSE-2017-288
openSUSE Leap 42.2
  • libquicktime >= 1.2.4cvs20150223-6.1
  • libquicktime-debugsource >= 1.2.4cvs20150223-6.1
  • libquicktime-devel >= 1.2.4cvs20150223-6.1
  • libquicktime-tools >= 1.2.4cvs20150223-6.1
  • libquicktime-tools-debuginfo >= 1.2.4cvs20150223-6.1
  • libquicktime0 >= 1.2.4cvs20150223-6.1
  • libquicktime0-32bit >= 1.2.4cvs20150223-6.1
  • libquicktime0-debuginfo >= 1.2.4cvs20150223-6.1
  • libquicktime0-debuginfo-32bit >= 1.2.4cvs20150223-6.1
Patchnames:
openSUSE-2017-288